aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohn MacFarlane <jgm@berkeley.edu>2020-12-18 11:14:58 -0800
committerJohn MacFarlane <jgm@berkeley.edu>2020-12-18 11:22:29 -0800
commit95b15fe6d3eb89a18ff143e32a0fb958f9e8ab8f (patch)
tree0d8f7497cc7a07379201519874745c7ffb1d5a48
parent5d09870b9ae59745ab5e5be2d1deccb7e76b42e2 (diff)
downloadpandoc-95b15fe6d3eb89a18ff143e32a0fb958f9e8ab8f.tar.gz
Remove some test files that are no longer used.
-rw-r--r--test/command/custom-attributes.html16
-rw-r--r--test/command/empty-inline-code.txt6
-rw-r--r--test/grofftest.sh26
3 files changed, 0 insertions, 48 deletions
diff --git a/test/command/custom-attributes.html b/test/command/custom-attributes.html
deleted file mode 100644
index 67dccc1b8..000000000
--- a/test/command/custom-attributes.html
+++ /dev/null
@@ -1,16 +0,0 @@
-Custom attributes should automatically have data- added
-in HTML5:
-```
-% pandoc -t html5
-[hello]{foo="bar"}
-^D
-<span data-foo="bar">hello</span>
-```
-
-but not in HTML4:
-```
-% pandoc -t html4
-[hello]{foo="bar"}
-^D
-<span foo="bar">hello</span>
-```
diff --git a/test/command/empty-inline-code.txt b/test/command/empty-inline-code.txt
deleted file mode 100644
index b57072a44..000000000
--- a/test/command/empty-inline-code.txt
+++ /dev/null
@@ -1,6 +0,0 @@
-```
-% pandoc -t native
-` `
-^D
-[Code ("",[],[]) ""]
-```
diff --git a/test/grofftest.sh b/test/grofftest.sh
deleted file mode 100644
index ac652112b..000000000
--- a/test/grofftest.sh
+++ /dev/null
@@ -1,26 +0,0 @@
-#!/bin/bash
-
-# iterates recursively over specified directory, tries to convert
-# man pages and prints to stderr on errors.
-
-# if called with two arguments, the first is the path to pandoc,
-# and the second is the directory. if with one argument, it
-# is the directory, and pandoc is used from path.
-
-if [ $# -eq 2 ]; then
- PANDOC=$1
- DIR=$2
-elif [ $# -eq 1 ]; then
- PANDOC=pandoc
- DIR=$1
-else
- echo "Not enough arguments"
- exit 1
-fi
-
-$PANDOC --version > /dev/null || { echo "pandoc executable error" >&2 ; exit 1 ; }
-
-for f in `find "$DIR" -name '*.[0-9]'`; do
- ( iconv -f utf8 -t utf8 $f 2>/dev/null || iconv -f latin1 -t utf8 $f ) | \
- $PANDOC --resource-path "$DIR":"$(dirname $f)" -f man -o /dev/null || echo "Failed to convert $f"
-done